%define efivar_version 35-2

Summary: EFI Boot Manager
Name: efibootmgr
Version: 18
Release: 1%{?dist}
License: GPLv2+
URL: https://github.com/rhboot/efibootmgr/
Source0: https://github.com/rhboot/efibootmgr/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: efi-srpm-macros >= 3-2 efi-filesystem 
BuildRequires: git popt-devel
BuildRequires: efivar-libs >= %{efivar_version} efivar-devel >= %{efivar_version}
BuildRequires: gcc make 
Requires: efi-filesystem
ExclusiveArch: %{efi}

%description
efibootmgr displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at https://uefi.org/.

%prep
%autosetup -S git
git config --local --add efibootmgr.efidir %{efi_vendor}

%build
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%{_sbindir}/*
%{_mandir}/*/*.?.gz


%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 18-1
- Upgrade to version 18

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 17-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 17-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 08 2022 nilusyi <nilusyi@tencent.com> - 17-1
- Package init.
